.dst-trainings-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}
.dst-trainings-grid.three {
	grid-template-columns: 1fr 1fr 1fr;
}
.dst-training-item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    flex: 1 0 0;
}

.dst-training-thumb {
    position: relative;
    display: block;
    width: 100%;
}

.dst-training-thumb::before {
    content: "";
    display: block;
    padding-top: 66.41%; /* 229/152 ≈ 66.41% */
}

.dst-training-thumb img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.dst-training-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
	  height: 100%;
    align-self: stretch;
}

.dst-training-title {
    color: var(--PS-Primary, #4A009F);
    font-family: var(--PS-Font-Header, Rawest);
    font-size: 22px;
    font-style: normal;
    font-weight: 600;
    line-height: 28px;
    margin: 0 !important;
    padding-bottom: 0;
}

.dst-training-meta {
    display: flex;
    padding-bottom: 0px;
    justify-content: space-between;
    align-items: flex-start;
    row-gap: 0;
    align-self: stretch;
    flex-wrap: wrap;
    line-height: 1;
}

.dst-training-meta span {
    overflow: hidden;
    color: var(--PS-Black, #000);
    text-overflow: ellipsis;
    font-family: var(--PS-Font-Header, Rawest);
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
	
}

.dst-training-button {
    display: flex;
    height: 45px;
    padding: 0px 15px;
    justify-content: center;
    align-items: center;
    gap: 6px;
    background: var(--PS-Secondary, #00ECAD);
    color: var(--PS-Black, #000);
    font-family: var(--PS-Font-Header, Rawest);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
    text-decoration: none;
    position: relative;
	margin-top: auto;
}

.dst-training-button::after {
    content: 'L';
    font-family: "ETmodules" !important;
    font-weight: 400 !important;
    font-size: 1.6em !important;
    line-height: 1em !important;
    display: inline-block;
    color: #000000;
    margin-left: 5px;
    margin-left: -1px;
    margin-top: -3px;
}

.dst-training-button:hover {
    background: #000;
    color: #fff;
}

.dst-training-button:hover::after {
	color: #fff;
}
.szkolenie-blok {
  margin-bottom: 40px;
}

.szkolenie-blok h3 {
  padding: 0 !important;
  margin-bottom: 1rem !important;
}

.szkolenie-blok ul, .szkolenie-blok ol {
  line-height: 1.5;
  list-style-position: outside;
  padding-left: 1.5rem;
}




.custom-price {
  display: flex;
  align-items: flex-end;
  gap: 10px;
}
.custom-price h3 {
  padding-bottom: 0;
}



.dst-modal-wrapper {
    position: fixed;
    top: 0; left: 0; right: 0; bottom: 0;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}
.dst-modal {
    background: #fff;
    padding: 30px;
    border-radius: 8px;
    max-width: 500px;
    width: 100%;
    position: relative;
}
.dst-modal-close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
}
.dst-modal input, .dst-modal button {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
}


#successModal .dst-modal {
    border-left: 4px solid #00ecad;
    text-align: center;
}


#openModalBtn {
  background: #00ecad;
  border: 0;
  padding: 18px 28px;
  font-size: 20px;
  font-weight: 600;
  margin-top: 20px;
  transition: all .2s linear;
}

#openModalBtn:hover {
    background: #000;
    color: #fff;
}


.dst-modal {
  padding: 50px;
}


#zapisForm button {
  background: #00ecad;
  border: 0;
  padding: 18px 28px;
  font-size: 20px;
  font-weight: 600;
  transition: all .2s linear;
}

#zapisForm p {
  margin: 0;
  padding-bottom: 10px;
}

#modalWrapper h3 {
  margin-bottom: 1.5rem;
  font-size: 26px;
}


.dst-form-msg {
	background: #eee;
	padding: 1rem;
	font-size: 14px;
	line-height: 1.4;
	border-radius: 8px;
	display: none;
}


#zapisForm p {
  padding-bottom: 0px;
}

#zapisForm p label {
  padding: 0;
  margin: 0;
}

.rodo-info {
  margin-bottom: 1rem !important;
}





.dst-filter-wrapper {
  display: flex;
  align-items: center;
  gap: 2px;
  border-radius: 8px;
  border: 1px solid var(--Gray-200, #E9EAEB);
  background: var(--Gray-50, #FAFAFA);
  width: fit-content;
}

.dst-filter-btn {
  display: flex;
  height: 44px;
  padding: 8px 12px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-radius: 8px;
  color: var(--PS-Black, #000);
  font-family: var(--PS-Font-Header, Rawest);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  height: auto;
  padding: 14px 22px;
  line-height: 1;
  transition: all .2s linear;
}

.dst-filter-btn.active {
  border-radius: 8px;
  border: 1px solid var(--Gray-300, #D5D7DA);
  background: var(--Base-White, #FFF);
  box-shadow: 0px 1px 2px 0px rgba(10, 13, 18, 0.05);
}
.dst-filter-btn:hover{
	color: #00ebac;
}
@media (max-width: 767px) {


.dst-modal {
  padding: 30px;
}

.dst-modal {
  width: 90%;
}

#modalWrapper h3 {
  margin-bottom: 0;
  font-size: 20px;
}

#zapisForm button {
  font-size: 16px;
}

#openModalBtn {
  font-size: 16px;
  width: 100%;
}


.dst-filter-wrapper {
  padding: 4px;
  flex-wrap: wrap;
}

.dst-filter-btn {
  font-size: 12px;
  padding: 8px 12px;
}


.dst-trainings-grid.three {
  grid-template-columns: 1fr;
}


}

